# allowstrict

## Name

allowstrict — Deprecated: see `spanstrict`

## Synopsis

Content Model

    allowstrict ::=

Attributes
Name | Type
`value` | CDATA (required)

## Description

This element has been renamed to `spanstrict`. The old name `allowstrict` has been kept for backward compatibility, but any new code that writes data files should use `spanstrict` instead.

An `allowstrict` element stores whether or not any convex combination of the angle structures in the parent list is a strict angle structure.

A strict angle structure has all angles strictly between (not including) 0 and π.

### Parents

The following elements contain `allowstrict`: `packet` (angle structure list).

### Children

Element `allowstrict` has no children.

## Attributes

`value`

  Either `T` or `F`, according to whether the parent list does or does not span a strict angle structure.